/*******************************************************************************
 * Copyright (c) 2009 Pafsanias Ftakas.
 *
 * This file is part of DistProc.
 *
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * DistProc is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * Eclipse Public License v1.0 for more details.
 *
 * Contributors:
 *     Pafsanias Ftakas - initial API and implementation
 *******************************************************************************/
package com.koutra.dist.proc.sax;

import org.xml.sax.ContentHandler;
import org.xml.sax.SAXException;

public class StartDocumentEvent extends SAXEvent {

	@Override
	public void fireEvent(ContentHandler contentHandler) throws SAXException {
		contentHandler.startDocument();
	}
	
	@Override
	public String toString() {
		return "StartDocument";
	}

}
